unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Button2: TButton;
    Memo1: TMemo;
    Label2: TLabel;
    Label3: TLabel;
    OpenDialog1: TOpenDialog;
    OpenDialog2: TOpenDialog;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
 Label1.Caption:=BoolToStr(OpenDialog1.Execute,true);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   Opendialog2.InitialDir:='C:\teksty';
   if Opendialog2.Execute then  Memo1.Lines.LoadFromFile(Opendialog1.FileName)
   else ShowMessage('Nie wybrano pliku!');
end;

end.
